//  UberNES Emulation Core
//  Copyright (C) 2004 Luke Molnar
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA



//-----------------------------------------------------------------
// basetypes.h - cross-platform types, constants & macros header 
//-----------------------------------------------------------------
// Provides transparency between compilers, operating systems,
// and architectures. Includes definitions for commonly defined
// constants and types for different sizes of integers
//
//
//
//-----------------------------------------------------------------


#ifndef UBERNESBASETYPES
#define UBERNESBASETYPES


// ------- Linux ------
#ifdef _LINUX
	#include <stdio.h>	// file i/o
	#include <string.h>	// memset, string comps in cartridge class
	
	typedef unsigned char	 Uint8;
	typedef unsigned short   Uint16;
	typedef unsigned int	 Uint32;	
	typedef signed   char    Sint8;
	typedef signed   short   Sint16;
	typedef signed   int	 Sint32;
	
#endif
// ----------------------




// ------- Windows ------
#ifdef _WIN32
	#include <stdio.h>	// file i/o
	#include <string.h>	// memset, string comps in cartridge class
	
	typedef unsigned char	 Uint8;
	typedef unsigned short   Uint16;
	typedef unsigned int	 Uint32;	
	typedef signed   char    Sint8;
	typedef signed   short   Sint16;
	typedef signed   int	 Sint32;
	
#endif
// ----------------------


#endif